aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/license_headers
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/license_headers')
-rwxr-xr-xscripts/license_headers14
1 files changed, 14 insertions, 0 deletions
diff --git a/scripts/license_headers b/scripts/license_headers
new file mode 100755
index 0000000..a381d02
--- /dev/null
+++ b/scripts/license_headers
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+mapfile -t ignore <.licignore
+
+ret=0
+
+while read -r -d ''; do
+ if ! grep -q SPDX-License-Identifier "$REPLY"; then
+ ret=1
+ echo "'$REPLY' has no SPDX-License-Identifier"
+ fi
+done < <(git ls-files -z "${ignore[@]/#/:!:}")
+
+exit "$ret"